#!/usr/bin/env python
# -*- coding: utf-8 -*-
from builtins import object
import time

from db_paribhasha import PynamoBaseModel, credentials
from pynamodb.attributes import (BooleanAttribute, JSONAttribute,
                                 NumberAttribute, UnicodeAttribute)


class ImportAdapter(PynamoBaseModel):
    """
    Dynamo DB model for Import Adapters.
    Model is created using pynamoDB library.
    """

    class Meta(object):
        table_name = credentials.DYNAMO_IMPORT_AD_TABLE
        region = credentials.DYNAMO_REGION

    org_id = NumberAttribute(hash_key=True)
    added_timestamp = NumberAttribute(
        null=False, default=int(round(time.time() * 1000)), range_key=True)
    calculated_id = UnicodeAttribute(null=False)
    last_modified_timestamp = NumberAttribute(
        null=False, default=int(round(time.time() * 1000)))
    default_adapter = BooleanAttribute(default=False, null=False)
    import_definition = JSONAttribute(null=False)
    display_info = JSONAttribute(null=False)
